clerezza-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Florent André <flor...@apache.org>
Subject Re: Building trunk
Date Fri, 28 Mar 2014 16:00:36 GMT
Hi Reto,

Thanks for this.
Sadly launcher.tdb still not start for me.

I restore missing dependencies like you done [1], but I still get an 
error on a startup [2].

Any clue ?


About the stanbol.version :

I don't know much the maven versions plugin (this one ?
http://mojo.codehaus.org/versions-maven-plugin/).

As Stanbol can be consider an external dependency I find really more 
convenient to manage version in one place.

And may this plugin's goal can do the tricks ?
(quote) "
versions:display-property-updates scans a projectand produces a report 
of those properties which are used to control artifact versions and 
which properies have newer versions available.
"

I can revert to by dependency version if more suitable.

++


[1]
diff --git a/platform.launcher.storageless.parent/pom.xml 
b/platform.launcher.storageless.parent/pom.xml
index 4260de1..84fb17a 100644
--- a/platform.launcher.storageless.parent/pom.xml
+++ b/platform.launcher.storageless.parent/pom.xml
@@ -538,17 +538,21 @@
              <artifactId>platform.security.foafssl.test</artifactId>
              <scope>runtime</scope>
          </dependency>
-            <dependency>
-            <groupId>org.apache.clerezza</groupId>
-            <artifactId>platform.security.foafssl.ontologies</artifactId>
-            <scope>runtime</scope>
-        </dependency>
+       -->
          <dependency>
+          <groupId>org.apache.clerezza</groupId>
+          <artifactId>platform.security.foafssl.ontologies</artifactId>
+         <version>0.2-SNAPSHOT</version>
+          <scope>runtime</scope>
+        </dependency>
+
+       <dependency>
              <groupId>org.apache.clerezza</groupId>
              <artifactId>ssl.keygen.base</artifactId>
+              <version>0.6-SNAPSHOT</version>
              <scope>runtime</scope>
          </dependency>
-        <dependency>
+        <!--<dependency>
              <groupId>org.apache.clerezza</groupId>
              <artifactId>platform.security.auth.basic</artifactId>
              <scope>runtime</scope>


[2]
2014-03-28 16:54:43,400 [Jetty HTTP Service]  WARN [Jetty HTTP Service] 
(?\:?) - EventAdmin: Exception: java.lang.InterruptedException
java.lang.InterruptedException
	at EDU.oswego.cs.dl.util.concurrent.LinkedQueue.offer(Unknown Source)
	at EDU.oswego.cs.dl.util.concurrent.PooledExecutor.execute(Unknown Source)
	at 
org.apache.felix.eventadmin.impl.tasks.DefaultThreadPool.executeTask(DefaultThreadPool.java:101)
	at 
org.apache.felix.eventadmin.impl.tasks.AsyncDeliverTasks.execute(AsyncDeliverTasks.java:105)
	at 
org.apache.felix.eventadmin.impl.handler.EventAdminImpl.postEvent(EventAdminImpl.java:100)
	at 
org.apache.felix.eventadmin.impl.adapter.LogEventAdapter$1.logged(LogEventAdapter.java:281)
	at 
org.ops4j.pax.logging.service.internal.LogReaderServiceImpl.fire(LogReaderServiceImpl.java:130)
	at 
org.ops4j.pax.logging.service.internal.LogReaderServiceImpl.fireEvent(LogReaderServiceImpl.java:122)
	at 
org.ops4j.pax.logging.service.internal.PaxLoggingServiceImpl.handleEvents(PaxLoggingServiceImpl.java:159)
	at 
org.ops4j.pax.logging.service.internal.PaxLoggerImpl.debug(PaxLoggerImpl.java:134)
	at 
org.ops4j.pax.logging.service.internal.PaxLoggingServiceImpl.log(PaxLoggingServiceImpl.java:149)
	at 
org.ops4j.pax.logging.service.internal.PaxLoggingServiceImpl.log(PaxLoggingServiceImpl.java:102)
	at 
org.ops4j.pax.logging.service.internal.PaxLoggingServiceImpl.log(PaxLoggingServiceImpl.java:97)
	at 
org.ops4j.pax.logging.service.internal.FrameworkHandler.serviceChanged(FrameworkHandler.java:149)
	at 
org.apache.felix.framework.util.EventDispatcher$4.run(EventDispatcher.java:936)
	at java.security.AccessController.doPrivileged(Native Method)
	at 
org.apache.felix.framework.util.EventDispatcher.invokeServiceListenerCallback(EventDispatcher.java:932)
	at 
org.apache.felix.framework.util.EventDispatcher.fireEventImmediately(EventDispatcher.java:794)
	at 
org.apache.felix.framework.util.EventDispatcher.fireServiceEvent(EventDispatcher.java:544)
	at org.apache.felix.framework.Felix.fireServiceEvent(Felix.java:4425)
	at org.apache.felix.framework.Felix.registerService(Felix.java:3429)
	at 
org.apache.felix.framework.BundleContextImpl.registerService(BundleContextImpl.java:346)
	at 
org.apache.felix.http.base.internal.HttpServiceController.register(HttpServiceController.java:135)
	at 
org.apache.felix.http.base.internal.DispatcherServlet.init(DispatcherServlet.java:48)
	at 
org.mortbay.jetty.servlet.ServletHolder.initServlet(ServletHolder.java:440)
	at org.mortbay.jetty.servlet.ServletHolder.doStart(ServletHolder.java:263)
	at org.mortbay.component.AbstractLifeCycle.start(AbstractLifeCycle.java:50)
	at 
org.mortbay.jetty.servlet.ServletHandler.initialize(ServletHandler.java:685)
	at org.mortbay.jetty.servlet.Context.startContext(Context.java:140)
	at 
org.mortbay.jetty.handler.ContextHandler.doStart(ContextHandler.java:517)
	at org.mortbay.component.AbstractLifeCycle.start(AbstractLifeCycle.java:50)
	at 
org.mortbay.jetty.handler.HandlerWrapper.doStart(HandlerWrapper.java:130)
	at org.mortbay.jetty.Server.doStart(Server.java:224)
	at org.mortbay.component.AbstractLifeCycle.start(AbstractLifeCycle.java:50)
	at 
org.apache.felix.http.jetty.internal.JettyService.initializeJetty(JettyService.java:164)
	at 
org.apache.felix.http.jetty.internal.JettyService.startJetty(JettyService.java:115)
	at 
org.apache.felix.http.jetty.internal.JettyService.run(JettyService.java:290)
	at java.lang.Thread.run(Thread.java:744)
Welcome to the Apache Clerezza Console


On 28/03/2014 14:42, Reto Gmür wrote:
> Ok, added that dependecy.
>
> I'm a bit skeptical about the stanbol.version maven property. It makes it
> harder to use the maven versions plugin to keep the dependencies up to date.
>
> Cheers,
> Reto
>
>
> On Fri, Mar 28, 2014 at 1:04 PM, Reto Gmür <reto@wymiwyg.com> wrote:
>
>> it looks like I forgot to add rdf.file.storage to
>> platform.storageless-launcher.parent.
>>
>> Sorry!
>>
>>
>> On Fri, Mar 28, 2014 at 1:37 AM, florent andré <
>> florent.andre-dev@4sengines.com> wrote:
>>
>>> Hi !
>>>
>>> I updated Stanbol dependencies to the last release project wide and
>>> create a maven property to easily manage this versionning.
>>>
>>> So, compiling from scratch (with DskipTests) runs well, but when :
>>> cd platform.launcher.tdb/target
>>> java -Xmx512m -XX:MaxPermSize=256m -jar org.apache.clerezza.platform.
>>> launcher.tdb-0.5-incubating-SNAPSHOT.jar
>>>
>>> I get this errors [1]. Clearly states that something missing somewhere...
>>> Too tired right now for investigating where bundle provisioning append...
>>>
>>> ++
>>>
>>> [1]
>>>
>>> ERROR: Bundle org.apache.clerezza.platform.accountcontrolpanel.core [42]
>>> Error starting mvn:org.apache.clerezza/platform.accountcontrolpanel.core/0.3-SNAPSHOT
>>> (org.osgi.framework.BundleException: Unresolved constraint in bundle
>>> org.apache.clerezza.platform.accountcontrolpanel.core [42]: Unable to
>>> resolve 42.0: missing requirement [42.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.foafssl.ontologies))
>>> org.osgi.framework.BundleException: Unresolved constraint in bundle
>>> org.apache.clerezza.platform.accountcontrolpanel.core [42]: Unable to
>>> resolve 42.0: missing requirement [42.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.foafssl.ontologies)
>>>          at org.apache.felix.framework.Felix.resolveBundleRevision(
>>> Felix.java:3980)
>>>          at org.apache.felix.framework.Felix.startBundle(Felix.java:2043)
>>>          at org.apache.felix.framework.Felix.setActiveStartLevel(
>>> Felix.java:1297)
>>>          at org.apache.felix.framework.FrameworkStartLevelImpl.run(
>>> FrameworkStartLevelImpl.java:304)
>>>          at java.lang.Thread.run(Thread.java:744)
>>> ERROR: Bundle org.apache.clerezza.platform.concepts.core [44] Error
>>> starting mvn:org.apache.clerezza/platform.concepts.core/0.2-SNAPSHOT
>>> (org.osgi.framework.BundleException: Unresolved constraint in bundle
>>> org.apache.clerezza.platform.concepts.core [44]: Unable to resolve 44.0:
>>> missing requirement [44.0] osgi.wiring.package; (osgi.wiring.package=org.
>>> apache.clerezza.platform.config) [caused by: Unable to resolve 47.0:
>>> missing requirement [47.0] osgi.wiring.package; (osgi.wiring.package=org.
>>> apache.clerezza.rdf.file.storage)])
>>> org.osgi.framework.BundleException: Unresolved constraint in bundle
>>> org.apache.clerezza.platform.concepts.core [44]: Unable to resolve 44.0:
>>> missing requirement [44.0] osgi.wiring.package; (osgi.wiring.package=org.
>>> apache.clerezza.platform.config) [caused by: Unable to resolve 47.0:
>>> missing requirement [47.0] osgi.wiring.package; (osgi.wiring.package=org.
>>> apache.clerezza.rdf.file.storage)]
>>>          at org.apache.felix.framework.Felix.resolveBundleRevision(
>>> Felix.java:3980)
>>>          at org.apache.felix.framework.Felix.startBundle(Felix.java:2043)
>>>          at org.apache.felix.framework.Felix.setActiveStartLevel(
>>> Felix.java:1297)
>>>          at org.apache.felix.framework.FrameworkStartLevelImpl.run(
>>> FrameworkStartLevelImpl.java:304)
>>>          at java.lang.Thread.run(Thread.java:744)
>>> ERROR: Bundle org.apache.clerezza.platform.config.gui [46] Error
>>> starting mvn:org.apache.clerezza/platform.config.gui/0.2-SNAPSHOT
>>> (org.osgi.framework.BundleException: Unresolved constraint in bundle
>>> org.apache.clerezza.platform.config.gui [46]: Unable to resolve 46.0:
>>> missing requirement [46.0] osgi.wiring.package; (osgi.wiring.package=org.
>>> apache.clerezza.platform.config) [caused by: Unable to resolve 47.0:
>>> missing requirement [47.0] osgi.wiring.package; (osgi.wiring.package=org.
>>> apache.clerezza.rdf.file.storage)])
>>> org.osgi.framework.BundleException: Unresolved constraint in bundle
>>> org.apache.clerezza.platform.config.gui [46]: Unable to resolve 46.0:
>>> missing requirement [46.0] osgi.wiring.package; (osgi.wiring.package=org.
>>> apache.clerezza.platform.config) [caused by: Unable to resolve 47.0:
>>> missing requirement [47.0] osgi.wiring.package; (osgi.wiring.package=org.
>>> apache.clerezza.rdf.file.storage)]
>>>          at org.apache.felix.framework.Felix.resolveBundleRevision(
>>> Felix.java:3980)
>>>          at org.apache.felix.framework.Felix.startBundle(Felix.java:2043)
>>>          at org.apache.felix.framework.Felix.setActiveStartLevel(
>>> Felix.java:1297)
>>>          at org.apache.felix.framework.FrameworkStartLevelImpl.run(
>>> FrameworkStartLevelImpl.java:304)
>>>          at java.lang.Thread.run(Thread.java:744)
>>> ERROR: Bundle org.apache.clerezza.platform.config [47] Error starting
>>> mvn:org.apache.clerezza/platform.config/0.4-SNAPSHOT (org.osgi.framework.BundleException:
>>> Unresolved constraint in bundle org.apache.clerezza.platform.config
>>> [47]: Unable to resolve 47.0: missing requirement [47.0]
>>> osgi.wiring.package; (osgi.wiring.package=org.apache.clerezza.rdf.file.
>>> storage))
>>> org.osgi.framework.BundleException: Unresolved constraint in bundle
>>> org.apache.clerezza.platform.config [47]: Unable to resolve 47.0:
>>> missing requirement [47.0] osgi.wiring.package; (osgi.wiring.package=org.
>>> apache.clerezza.rdf.file.storage)
>>>          at org.apache.felix.framework.Felix.resolveBundleRevision(
>>> Felix.java:3980)
>>>          at org.apache.felix.framework.Felix.startBundle(Felix.java:2043)
>>>          at org.apache.felix.framework.Felix.setActiveStartLevel(
>>> Felix.java:1297)
>>>          at org.apache.felix.framework.FrameworkStartLevelImpl.run(
>>> FrameworkStartLevelImpl.java:304)
>>>          at java.lang.Thread.run(Thread.java:744)
>>> ERROR: Bundle org.apache.clerezza.platform.content.representations.core
>>> [51] Error starting mvn:org.apache.clerezza/platform.content.
>>> representations.core/0.2-SNAPSHOT (org.osgi.framework.BundleException:
>>> Unresolved constraint in bundle org.apache.clerezza.platform.content.representations.core
>>> [51]: Unable to resolve 51.0: missing requirement [51.0]
>>> osgi.wiring.package; (osgi.wiring.package=org.apache.clerezza.platform.config)
>>> [caused by: Unable to resolve 47.0: missing requirement [47.0]
>>> osgi.wiring.package; (osgi.wiring.package=org.apache.clerezza.rdf.file.
>>> storage)])
>>> org.osgi.framework.BundleException: Unresolved constraint in bundle
>>> org.apache.clerezza.platform.content.representations.core [51]: Unable
>>> to resolve 51.0: missing requirement [51.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.platform.config) [caused by:
>>> Unable to resolve 47.0: missing requirement [47.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.rdf.file.storage)]
>>>          at org.apache.felix.framework.Felix.resolveBundleRevision(
>>> Felix.java:3980)
>>>          at org.apache.felix.framework.Felix.startBundle(Felix.java:2043)
>>>          at org.apache.felix.framework.Felix.setActiveStartLevel(
>>> Felix.java:1297)
>>>          at org.apache.felix.framework.FrameworkStartLevelImpl.run(
>>> FrameworkStartLevelImpl.java:304)
>>>          at java.lang.Thread.run(Thread.java:744)
>>> [FelixStartLevel] INFO org.apache.wink.server.internal.application.ApplicationProcessor
>>> - The following JAX-RS application has been processed:
>>> org.apache.wink.server.utils.RegistrationUtils$InnerApplication
>>> ERROR: Bundle org.apache.clerezza.platform.dashboard.core [54] Error
>>> starting mvn:org.apache.clerezza/platform.dashboard.core/0.3-SNAPSHOT
>>> (org.osgi.framework.BundleException: Unresolved constraint in bundle
>>> org.apache.clerezza.platform.dashboard.core [54]: Unable to resolve
>>> 54.0: missing requirement [54.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.platform.users) [caused by:
>>> Unable to resolve 84.0: missing requirement [84.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.platform.config) [caused by:
>>> Unable to resolve 47.0: missing requirement [47.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.rdf.file.storage)]])
>>> org.osgi.framework.BundleException: Unresolved constraint in bundle
>>> org.apache.clerezza.platform.dashboard.core [54]: Unable to resolve
>>> 54.0: missing requirement [54.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.platform.users) [caused by:
>>> Unable to resolve 84.0: missing requirement [84.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.platform.config) [caused by:
>>> Unable to resolve 47.0: missing requirement [47.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.rdf.file.storage)]]
>>>          at org.apache.felix.framework.Felix.resolveBundleRevision(
>>> Felix.java:3980)
>>>          at org.apache.felix.framework.Felix.startBundle(Felix.java:2043)
>>>          at org.apache.felix.framework.Felix.setActiveStartLevel(
>>> Felix.java:1297)
>>>          at org.apache.felix.framework.FrameworkStartLevelImpl.run(
>>> FrameworkStartLevelImpl.java:304)
>>>          at java.lang.Thread.run(Thread.java:744)
>>> ERROR: Bundle org.apache.clerezza.platform.documentation.viewer [57]
>>> Error starting mvn:org.apache.clerezza/platform.documentation.viewer/0.4-SNAPSHOT
>>> (org.osgi.framework.BundleException: Unresolved constraint in bundle
>>> org.apache.clerezza.platform.documentation.viewer [57]: Unable to
>>> resolve 57.0: missing requirement [57.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.platform.documentation) [caused
>>> by: Unable to resolve 58.0: missing requirement [58.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.platform.config) [caused by:
>>> Unable to resolve 47.0: missing requirement [47.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.rdf.file.storage)]])
>>> org.osgi.framework.BundleException: Unresolved constraint in bundle
>>> org.apache.clerezza.platform.documentation.viewer [57]: Unable to
>>> resolve 57.0: missing requirement [57.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.platform.documentation) [caused
>>> by: Unable to resolve 58.0: missing requirement [58.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.platform.config) [caused by:
>>> Unable to resolve 47.0: missing requirement [47.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.rdf.file.storage)]]
>>>          at org.apache.felix.framework.Felix.resolveBundleRevision(
>>> Felix.java:3980)
>>>          at org.apache.felix.framework.Felix.startBundle(Felix.java:2043)
>>>          at org.apache.felix.framework.Felix.setActiveStartLevel(
>>> Felix.java:1297)
>>>          at org.apache.felix.framework.FrameworkStartLevelImpl.run(
>>> FrameworkStartLevelImpl.java:304)
>>>          at java.lang.Thread.run(Thread.java:744)
>>> ERROR: Bundle org.apache.clerezza.platform.documentation [58] Error
>>> starting mvn:org.apache.clerezza/platform.documentation/0.4-SNAPSHOT
>>> (org.osgi.framework.BundleException: Unresolved constraint in bundle
>>> org.apache.clerezza.platform.documentation [58]: Unable to resolve 58.0:
>>> missing requirement [58.0] osgi.wiring.package; (osgi.wiring.package=org.
>>> apache.clerezza.platform.config) [caused by: Unable to resolve 47.0:
>>> missing requirement [47.0] osgi.wiring.package; (osgi.wiring.package=org.
>>> apache.clerezza.rdf.file.storage)])
>>> org.osgi.framework.BundleException: Unresolved constraint in bundle
>>> org.apache.clerezza.platform.documentation [58]: Unable to resolve 58.0:
>>> missing requirement [58.0] osgi.wiring.package; (osgi.wiring.package=org.
>>> apache.clerezza.platform.config) [caused by: Unable to resolve 47.0:
>>> missing requirement [47.0] osgi.wiring.package; (osgi.wiring.package=org.
>>> apache.clerezza.rdf.file.storage)]
>>>          at org.apache.felix.framework.Felix.resolveBundleRevision(
>>> Felix.java:3980)
>>>          at org.apache.felix.framework.Felix.startBundle(Felix.java:2043)
>>>          at org.apache.felix.framework.Felix.setActiveStartLevel(
>>> Felix.java:1297)
>>>          at org.apache.felix.framework.FrameworkStartLevelImpl.run(
>>> FrameworkStartLevelImpl.java:304)
>>>          at java.lang.Thread.run(Thread.java:744)
>>> ERROR: Bundle org.apache.clerezza.platform.graphnodeprovider [61] Error
>>> starting mvn:org.apache.clerezza/platform.graphnodeprovider/0.2-SNAPSHOT
>>> (org.osgi.framework.BundleException: Unresolved constraint in bundle
>>> org.apache.clerezza.platform.graphnodeprovider [61]: Unable to resolve
>>> 61.0: missing requirement [61.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.platform.config) [caused by:
>>> Unable to resolve 47.0: missing requirement [47.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.rdf.file.storage)])
>>> org.osgi.framework.BundleException: Unresolved constraint in bundle
>>> org.apache.clerezza.platform.graphnodeprovider [61]: Unable to resolve
>>> 61.0: missing requirement [61.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.platform.config) [caused by:
>>> Unable to resolve 47.0: missing requirement [47.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.rdf.file.storage)]
>>>          at org.apache.felix.framework.Felix.resolveBundleRevision(
>>> Felix.java:3980)
>>>          at org.apache.felix.framework.Felix.startBundle(Felix.java:2043)
>>>          at org.apache.felix.framework.Felix.setActiveStartLevel(
>>> Felix.java:1297)
>>>          at org.apache.felix.framework.FrameworkStartLevelImpl.run(
>>> FrameworkStartLevelImpl.java:304)
>>>          at java.lang.Thread.run(Thread.java:744)
>>> ERROR: Bundle org.apache.clerezza.platform.language.core [63] Error
>>> starting mvn:org.apache.clerezza/platform.language.core/0.3-SNAPSHOT
>>> (org.osgi.framework.BundleException: Unresolved constraint in bundle
>>> org.apache.clerezza.platform.language.core [63]: Unable to resolve 63.0:
>>> missing requirement [63.0] osgi.wiring.package; (osgi.wiring.package=org.
>>> apache.clerezza.platform.config) [caused by: Unable to resolve 47.0:
>>> missing requirement [47.0] osgi.wiring.package; (osgi.wiring.package=org.
>>> apache.clerezza.rdf.file.storage)])
>>> org.osgi.framework.BundleException: Unresolved constraint in bundle
>>> org.apache.clerezza.platform.language.core [63]: Unable to resolve 63.0:
>>> missing requirement [63.0] osgi.wiring.package; (osgi.wiring.package=org.
>>> apache.clerezza.platform.config) [caused by: Unable to resolve 47.0:
>>> missing requirement [47.0] osgi.wiring.package; (osgi.wiring.package=org.
>>> apache.clerezza.rdf.file.storage)]
>>>          at org.apache.felix.framework.Felix.resolveBundleRevision(
>>> Felix.java:3980)
>>>          at org.apache.felix.framework.Felix.startBundle(Felix.java:2043)
>>>          at org.apache.felix.framework.Felix.setActiveStartLevel(
>>> Felix.java:1297)
>>>          at org.apache.felix.framework.FrameworkStartLevelImpl.run(
>>> FrameworkStartLevelImpl.java:304)
>>>          at java.lang.Thread.run(Thread.java:744)
>>> ERROR: Bundle org.apache.clerezza.platform.usermanager.webinterface [82]
>>> Error starting mvn:org.apache.clerezza/platform.usermanager.webinterface/0.14-SNAPSHOT
>>> (org.osgi.framework.BundleException: Unresolved constraint in bundle
>>> org.apache.clerezza.platform.usermanager.webinterface [82]: Unable to
>>> resolve 82.0: missing requirement [82.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.platform.config) [caused by:
>>> Unable to resolve 47.0: missing requirement [47.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.rdf.file.storage)])
>>> org.osgi.framework.BundleException: Unresolved constraint in bundle
>>> org.apache.clerezza.platform.usermanager.webinterface [82]: Unable to
>>> resolve 82.0: missing requirement [82.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.platform.config) [caused by:
>>> Unable to resolve 47.0: missing requirement [47.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.clerezza.rdf.file.storage)]
>>>          at org.apache.felix.framework.Felix.resolveBundleRevision(
>>> Felix.java:3980)
>>>          at org.apache.felix.framework.Felix.startBundle(Felix.java:2043)
>>>          at org.apache.felix.framework.Felix.setActiveStartLevel(
>>> Felix.java:1297)
>>>          at org.apache.felix.framework.FrameworkStartLevelImpl.run(
>>> FrameworkStartLevelImpl.java:304)
>>>          at java.lang.Thread.run(Thread.java:744)
>>> ERROR: Bundle org.apache.clerezza.platform.users.core [84] Error
>>> starting mvn:org.apache.clerezza/platform.users.core/0.2-SNAPSHOT
>>> (org.osgi.framework.BundleException: Unresolved constraint in bundle
>>> org.apache.clerezza.platform.users.core [84]: Unable to resolve 84.0:
>>> missing requirement [84.0] osgi.wiring.package; (osgi.wiring.package=org.
>>> apache.clerezza.platform.config) [caused by: Unable to resolve 47.0:
>>> missing requirement [47.0] osgi.wiring.package; (osgi.wiring.package=org.
>>> apache.clerezza.rdf.file.storage)])
>>> org.osgi.framework.BundleException: Unresolved constraint in bundle
>>> org.apache.clerezza.platform.users.core [84]: Unable to resolve 84.0:
>>> missing requirement [84.0] osgi.wiring.package; (osgi.wiring.package=org.
>>> apache.clerezza.platform.config) [caused by: Unable to resolve 47.0:
>>> missing requirement [47.0] osgi.wiring.package; (osgi.wiring.package=org.
>>> apache.clerezza.rdf.file.storage)]
>>>          at org.apache.felix.framework.Felix.resolveBundleRevision(
>>> Felix.java:3980)
>>>          at org.apache.felix.framework.Felix.startBundle(Felix.java:2043)
>>>          at org.apache.felix.framework.Felix.setActiveStartLevel(
>>> Felix.java:1297)
>>>          at org.apache.felix.framework.FrameworkStartLevelImpl.run(
>>> FrameworkStartLevelImpl.java:304)
>>>          at java.lang.Thread.run(Thread.java:744)
>>> Welcome to the Apache Clerezza Console
>>> Console is based on Scala version 2.10.3 (Java HotSpot(TM) 64-Bit Server
>>> VM, Java 1.7.0_51).
>>> Type in expressions to have them evaluated.
>>> Type :help for more information.
>>>
>>>
>>>
>>>
>>> On 20/03/2014 10:19, Reto Gmür wrote:
>>>
>>>> Hi Minto
>>>>
>>>> I committed a change to use the just released Stanbol bundle. This silves
>>>> one of the problems. Btw, it's master not trunk ;)
>>>>
>>>> Cheers,
>>>> Reto
>>>>
>>>>
>>>> On Wed, Mar 19, 2014 at 4:04 PM, Minto van der Sluis <minto@xup.nl>
>>>> wrote:
>>>>
>>>>   Hi folks,
>>>>>
>>>>> The boring project is over now (for the time being).  So I am finally
>>>>> allowed to mess with Clerezza again :-)
>>>>>
>>>>> To prepare myself for using the Virtuoso backend I tried to build the
>>>>> latest trunk. Unfortunately it gives me:
>>>>>
>>>>> [ERROR] Failed to execute goal on project jaxrs.stanbol.fragments: Could
>>>>> not resolve dependencies for project
>>>>> org.apache.clerezza:jaxrs.stanbol.fragments:bundle:0.1-SNAPSHOT:
>>>>> Failure
>>>>> to find
>>>>> org.apache.stanbol:org.apache.stanbol.commons.web.base:jar:
>>>>> 0.12.0-SNAPSHOT
>>>>> in http://repository.apache.org/snapshots was cached in the local
>>>>> repository, resolution will not be reattempted until the update interval
>>>>> of apache.snapshots has elapsed or updates are forced -> [Help 1]
>>>>>
>>>>> Also when building just the Virtuoso modules I run into a dependency
>>>>> problem. It seems rdf.virtuoso.storage is using the wrong dependency
for
>>>>> ext.virtuoso.jdbc. A closer look reveals the group Id is wrong
>>>>>
>>>>> <groupId>clerezza-virtuoso</groupId> should be
>>>>> <groupId>org.apache.clerezza</groupId>
>>>>>
>>>>> I could commit this myself but my latest commit was on the subversion
>>>>> reposistory. I still have to set things up properly to be able to commit
>>>>> to the git repository (any clues on how to do this?)
>>>>>
>>>>> Regards,
>>>>>
>>>>> Minto
>>>>>
>>>>> --
>>>>> ir. ing. Minto van der Sluis
>>>>> Software innovator / renovator
>>>>> Xup BV
>>>>>
>>>>> Mobiel: +31 (0) 626 014541
>>>>>
>>>>>
>>>>>
>>>>
>>
>

Mime
View raw message